Skip to main content
POST
Query project analytics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID.

Body

application/json
from
enum<string>
required
Available options:
generation.completed,
insight.activated,
insight.created,
insight.deleted,
insight.merged,
insight.review_completed,
issue.created,
issue.dismissed,
issue.flagged,
issue.insight_assessed,
issue.insight_moved,
issue.occurrence_recorded,
issue.reopened,
issue.resolved,
issue.review_started,
issue.slack_sent,
issue.unflagged,
span.errored,
tool.called,
trace.processed
start
string<date-time>
required

Second-aligned UTC instant. The window must end after start and must be at most 90 days.

end_exclusive
string<date-time>
required

Second-aligned UTC instant. The window must end after start and must be at most 90 days.

measures
object[]
required
Required array length: 1 - 8 elements
filters
object[]
Maximum array length: 12
group_by
object[]
Maximum array length: 3
join
object
order_by
object[]
Maximum array length: 2
limit
integer
Required range: x <= 500

Response

Analytics query rows

rows
object[]
required
truncated
boolean
required
window
object
required